# $Revision: 1.11 $, $Date: 2010/06/06 08:40:38 $
#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	Ogg
%define	pnam	Vorbis-Header
Summary:	Ogg::Vorbis::Header - an object-oriented interface to Ogg Vorbis information and comment fields
Summary(pl.UTF-8):	Ogg::Vorbis::Header - zorientowany obiektowo interfejs do pól informacji i komentarza Ogg Vorbis
Name:		perl-Ogg-Vorbis-Header
Version:	0.03
Release:	5
License:	GPL v2+ / LGPL
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	d1c435e79d3f019147be734281e8a908
URL:		http://www.cpan.org/modules/by-module/Ogg/
BuildRequires:	perl-Inline-C
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module presents an object-oriented interface to Ogg Vorbis files
which allows user to view Vorbis info and comments and to modify or
add comments.

%description -l pl.UTF-8
Moduł ten dostarcza zorientowanego obiektowo interfejsu do plików Ogg
Vorbis. Pozwala użytkownikowi na odczyt/modyfikację pól informacji
i komentarzy plików Ogg Vorbis.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorarch}/Ogg/Vorbis/Header.pm
%dir %{perl_vendorarch}/auto/Ogg
%dir %{perl_vendorarch}/auto/Ogg/Vorbis
%dir %{perl_vendorarch}/auto/Ogg/Vorbis/Header
%{perl_vendorarch}/auto/Ogg/Vorbis/Header/Header.bs
%attr(755,root,root) %{perl_vendorarch}/auto/Ogg/Vorbis/Header/Header.so
%{_mandir}/man3/*

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Ogg-Vorbis-Header.spec,v $
Revision 1.11  2010/06/06 08:40:38  arekm
- release 5

Revision 1.10  2008/03/16 23:35:39  twittner
- rel. 4 - rebuild with perl-5.10.0 - should fix:
  perl: symbol lookup error [...] Ogg/Vorbis/Header/Header.so: undefined symbol: Perl_pad_sv

Revision 1.9  2008-02-10 12:16:53  arekm
- rel 3

Revision 1.8  2007-11-10 21:33:36  twittner
- added omitted files
- rel. 2

Revision 1.7  2007/02/13 07:47:13  glen
- tabs in preamble

Revision 1.6  2007/02/12 00:49:43  baggins
- converted to UTF-8

Revision 1.5  2006/08/12 18:00:04  ankry
- formatting

Revision 1.4  2005/08/11 09:46:18  radek
- bcond_with(out) is followed by one \t, then bcond's name.

Revision 1.3  2004/11/18 23:22:53  qboosh
- cleanup

Revision 1.2  2004/11/12 17:43:37  snurf
- pl desc cosmetics

Revision 1.1  2004/11/11 10:14:46  adamg
- new
